define("tiny_molstructure/canvasSpectrum",["exports","tiny_molstructure/selectors","core/str","tiny_molstructure/common"],(function(_exports,_selectors,_str,_common){var obj;
/**
   * Tiny Molstructure canvas init and functions.
   *
   * @module      tiny_molstructure/ui
   * @copyright   2024 University of Strasbourg unistra.fr
   * @author Céline Pervès <louis.plyer@unistra.fr>
   * @author Louis Plyer <louis.plyer@unistra.fr>
   * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.initCanvasSpectrum=_exports.function_update_ketcher=_exports.function_update=_exports.function_insert=_exports.function_displaySVG=_exports.changeLangString=void 0,_selectors=(obj=_selectors)&&obj.__esModule?obj:{default:obj};_exports.initCanvasSpectrum=async function(editor,iframeBody){let sketcherWidth=arguments.length>2&&void 0!==arguments[2]?arguments[2]:400,sketcherHeight=arguments.length>3&&void 0!==arguments[3]?arguments[3]:200;const iframeContent=iframeBody.contentDocument;let ChemDoodle=iframeBody.contentWindow.ChemDoodleVar,sketcherSpectrum=new ChemDoodle.PerspectiveCanvas("sketcherSpectrum",sketcherWidth,sketcherHeight);sketcherSpectrum.styles.plots_color="#00B918",sketcherSpectrum.styles.plots_width=2,sketcherSpectrum.emptyMessage="Please insert a Jcamp file in the area bellow.",sketcherSpectrum.styles.text_font_size=14,sketcherSpectrum.styles.text_font_families[0]="Impact",sketcherSpectrum.styles.text_font_families[1]="Charcoal",sketcherSpectrum.styles.text_font_families[2]="sans-serif",sketcherSpectrum.repaint(),iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.updateButton).addEventListener("click",(e=>function_update(e)),iframeBody),iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.inputButton).addEventListener("click",(function(){iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.jcampInput).click()})),iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.jcampInput).addEventListener("change",(e=>function_insert(e,ChemDoodle,sketcherSpectrum)),iframeBody),iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.updateKetcherButton).addEventListener("click",(e=>function_update_ketcher(e,ChemDoodle,sketcherSpectrum)),iframeBody),window.document.querySelector(".modal-content").setAttribute("style"," height:100vh;"),await changeLangString(iframeContent)};const function_displaySVG=iframeContent=>{const imgDataURL=iframeContent.querySelector("#sketcherSpectrum").toDataURL("image/svg+xml"),imgElement=iframeContent.createElement("img");imgElement.src=imgDataURL,imgElement.id=_selectors.default.elements.canvasSpectrum.ketcherviewId,iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.viewId).innerHTML="",iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.viewId).appendChild(imgElement)};_exports.function_displaySVG=function_displaySVG;const function_insert=(e,ChemDoodle,sketcherSpectrum)=>{const iframeContent=e.target.ownerDocument;sketcherSpectrum.spectrum=void 0,sketcherSpectrum.repaint();const file=iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.jcampInput).files[0];if(file){const reader=new FileReader;reader.onload=function(e){let content=e.target.result,spectrum=ChemDoodle.readJCAMP(content);sketcherSpectrum.loadSpectrum(spectrum),function_displaySVG(iframeContent)},reader.readAsText(file)}};_exports.function_insert=function_insert;const function_update=e=>{const iframeContent=e.target.ownerDocument;function_displaySVG(iframeContent)};_exports.function_update=function_update;const function_update_ketcher=(e,ChemDoodle,sketcherSpectrum)=>{const iframeContent=e.target.ownerDocument,file=iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.jcampInput).files[0];if(file){const reader=new FileReader;reader.onload=function(e){let content=e.target.result,spectrum=ChemDoodle.readJCAMP(content),xLabel=iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.xlabelInput).value,yLabel=iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.ylabelInput).value,title=iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.titleInput).value,integration=iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.integrationInput),inverseAxis=iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.inversexaxisInput);""!==xLabel&&(spectrum.xUnit=xLabel),""!==yLabel&&(spectrum.yUnit=yLabel),""!==title&&(spectrum.title=title),sketcherSpectrum.styles.plots_showIntegration=!!integration.checked,sketcherSpectrum.styles.plots_flipXAxis=!!inverseAxis.checked,sketcherSpectrum.loadSpectrum(spectrum)},reader.readAsText(file)}};_exports.function_update_ketcher=function_update_ketcher;const changeLangString=async iframeContent=>{iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.updateButton).firstChild.data=await(0,_str.get_string)("update",_common.component);iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.updateKetcherButton).firstChild.data=await(0,_str.get_string)("updateKetcherButton",_common.component),iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.xlabelInputLabel).firstChild.data=await(0,_str.get_string)("xlabel",_common.component),iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.ylabelInputLabel).firstChild.data=await(0,_str.get_string)("ylabel",_common.component),iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.integrationInputLabel).firstChild.data=await(0,_str.get_string)("integration",_common.component),iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.inversexaxisInputLabel).firstChild.data=await(0,_str.get_string)("inverseaxis",_common.component),iframeContent.querySelector(_selectors.default.elements.canvasSpectrum.titleInputLabel).firstChild.data=await(0,_str.get_string)("title",_common.component)};_exports.changeLangString=changeLangString}));

//# sourceMappingURL=canvasSpectrum.min.js.map